description

# SpeechSynthesisUtterance class Null safety

Inheritance
  - Object
  - EventTarget
  - SpeechSynthesisUtterance
Annotations
  - @Native("SpeechSynthesisUtterance")

## Constructors

SpeechSynthesisUtterance([String? text])
  factory

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
lang ↔ String?
  read / write
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onBoundary → Stream<SpeechSynthesisEvent>
  Stream of `boundary` events handled by this SpeechSynthesisUtterance.
  read-only
onEnd → Stream<SpeechSynthesisEvent>
  Stream of `end` events handled by this SpeechSynthesisUtterance.
  read-only
onError → Stream<Event>
  Stream of `error` events handled by this SpeechSynthesisUtterance.
  read-only
onMark → Stream<SpeechSynthesisEvent>
  Stream of `mark` events handled by this SpeechSynthesisUtterance.
  read-only
onPause → Stream<Event>
  Stream of `pause` events handled by this SpeechSynthesisUtterance.
  read-only
onResume → Stream<SpeechSynthesisEvent>
  Stream of `resume` events handled by this SpeechSynthesisUtterance.
  read-only
onStart → Stream<SpeechSynthesisEvent>
  Stream of `start` events handled by this SpeechSynthesisUtterance.
  read-only
pitch ↔ num?
  read / write
rate ↔ num?
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
text ↔ String?
  read / write
voice ↔ SpeechSynthesisVoice?
  read / write
volume ↔ num?
  read / write

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
dispatchEvent(Event event) → bool
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

boundaryEvent → const EventStreamProvider<SpeechSynthesisEvent>
  Static factory designed to expose `boundary` events to event handlers that are not necessarily instances of SpeechSynthesisUtterance. [...]
  `const EventStreamProvider<SpeechSynthesisEvent>('boundary')`
endEvent → const EventStreamProvider<SpeechSynthesisEvent>
  Static factory designed to expose `end` events to event handlers that are not necessarily instances of SpeechSynthesisUtterance. [...]
  `const EventStreamProvider<SpeechSynthesisEvent>('end')`
errorEvent → const EventStreamProvider<Event>
  Static factory designed to expose `error` events to event handlers that are not necessarily instances of SpeechSynthesisUtterance. [...]
  `const EventStreamProvider<Event>('error')`
markEvent → const EventStreamProvider<SpeechSynthesisEvent>
  Static factory designed to expose `mark` events to event handlers that are not necessarily instances of SpeechSynthesisUtterance. [...]
  `const EventStreamProvider<SpeechSynthesisEvent>('mark')`
pauseEvent → const EventStreamProvider<Event>
  Static factory designed to expose `pause` events to event handlers that are not necessarily instances of SpeechSynthesisUtterance. [...]
  `const EventStreamProvider<Event>('pause')`
resumeEvent → const EventStreamProvider<SpeechSynthesisEvent>
  Static factory designed to expose `resume` events to event handlers that are not necessarily instances of SpeechSynthesisUtterance. [...]
  `const EventStreamProvider<SpeechSynthesisEvent>('resume')`
startEvent → const EventStreamProvider<SpeechSynthesisEvent>
  Static factory designed to expose `start` events to event handlers that are not necessarily instances of SpeechSynthesisUtterance. [...]
  `const EventStreamProvider<SpeechSynthesisEvent>('start')`